Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_wdt_reg_t Struct Reference
SoC Registers (D2000) | SoC Registers (SE)

Watchdog timer register map. More...

`#include <qm_soc_regs.h>`

## Data Fields
QM_RW uint32_t | wdt_cr
| Control Register. More...
QM_RW uint32_t | wdt_torr
| Timeout Range Register. More...
QM_RW uint32_t | wdt_ccvr
| Current Counter Value Register. More...
QM_RW uint32_t | wdt_crr
| Current Restart Register. More...
QM_RW uint32_t | wdt_stat
| Interrupt Status Register. More...
QM_RW uint32_t | wdt_eoi
| Interrupt Clear Register. More...
QM_RW uint32_t | wdt_comp_param_5
| Component Parameters. More...
QM_RW uint32_t | wdt_comp_param_4
| Component Parameters. More...
QM_RW uint32_t | wdt_comp_param_3
| Component Parameters. More...
QM_RW uint32_t | wdt_comp_param_2
| Component Parameters. More...
QM_RW uint32_t | wdt_comp_param_1
| Component Parameters Register 1. More...
QM_RW uint32_t | wdt_comp_version
| Component Version Register. More...
QM_RW uint32_t | wdt_comp_type
| Component Type Register. More...

## Detailed Description

Watchdog timer register map.

Definition at line 470 of file qm_soc_regs.h.

## Field Documentation

QM_RW uint32_t qm_wdt_reg_t::wdt_ccvr

Current Counter Value Register.

Definition at line 473 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_comp_param_1

Component Parameters Register 1.

Definition at line 482 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_comp_param_2

Component Parameters.

Definition at line 480 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_comp_param_3

Component Parameters.

Definition at line 479 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_comp_param_4

Component Parameters.

Definition at line 478 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_comp_param_5

Component Parameters.

Definition at line 477 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_comp_type

Component Type Register.

Definition at line 484 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_comp_version

Component Version Register.

Definition at line 483 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_cr

Control Register.

Definition at line 471 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_crr

Current Restart Register.

Definition at line 474 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_eoi

Interrupt Clear Register.

Definition at line 476 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_stat

Interrupt Status Register.

Definition at line 475 of file qm_soc_regs.h.

QM_RW uint32_t qm_wdt_reg_t::wdt_torr

Timeout Range Register.

Definition at line 472 of file qm_soc_regs.h.